#ifndef MANALYSIS_H
#define MANALYSIS_H

#ifndef MAGIC_H
#include "MAGIC.h"
#endif

#ifndef MBROWSER_H
#include "MBrowser.h"
#endif

class TGTextEntry;
class TGCheckButton;

class MAnalysis : public MBrowser
{
private:
    TGCheckButton *fCheckButton1;
    TGCheckButton *fCheckButton2;

    TGTextEntry   *fNumEntry1;
    TGTextEntry   *fNumEntry2;

    void CalculateHillas() const;

    void AddButtons();
    void AddSetupTab();

public:
    MAnalysis(const TGWindow *main=NULL, const TGWindow *p=NULL,
              const UInt_t w=500, const UInt_t h=500) ;

    Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);

    ClassDef(MAnalysis, 0) // GUI: The 'Analysis' browser.
};

#endif


